## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.2
%bcond_without check

# https://github.com/rootless-containers/rootlesskit
%global goipath         github.com/rootless-containers/rootlesskit
Version:                1.0.1

%gometa -f

%global common_description %{expand:
Linux-native "fake root" for implementing rootless containers.}

%global golicenses      LICENSE
%global godocs          docs README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Linux-native "fake root" for implementing rootless containers

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}
Patch0:         Disable-vpnkit.patch

%description %{common_description}

%gopkg

%prep
%goprep
# vpnkit not packageable right now due to K8S incompatibility
%patch0 -p1
rm -rfv pkg/network/vpnkit

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck -d pkg/port/builtin
%endif

%files
%license LICENSE
%doc docs README.md
%{_bindir}/rootlessctl
%{_bindir}/rootlesskit-docker-proxy
%{_bindir}/rootlesskit

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 24 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.1-1
- Initial import
